MPT_HOST_PAGE_ACCESS(9)

NAME
mpt_host_page_access_control - control the IOC's Host Page Buffer access

SYNOPSIS

int mpt_host_page_access_control(MPT_ADAPTER * ioc, u8 access_control_value, int sleepFlag);

ARGUMENTS

ioc
    Pointer to MPT adapter structure

access_control_value
    define bits below

sleepFlag
    Specifies whether the process can sleep

DESCRIPTION

Provides mechanism for the host driver to control the IOC's Host Page Buffer access.

Access Control Value - bits[15:12] 0h Reserved 1h Enable Access { MPI_DB_HPBAC_ENABLE_ACCESS } 2h Disable Access { MPI_DB_HPBAC_DISABLE_ACCESS } 3h Free Buffer { MPI_DB_HPBAC_FREE_BUFFER }

Returns 0 for success, non-zero for failure.

COPYRIGHT